<template>
  <q-dialog ref="dialog" @hide="onDialogHide">
    <q-card class="q-dialog-plugin bg-white">
      <q-card-section class="title-modal row justify-center items-center relative-position">
        <q-btn flat rounded class="absolute-top-right q-ma-xs text-capitalize" color="white" label="X" @click="onCancelClick" />

        <span class="masies text-weight-light text-white">
          Masies
        </span>
          <span class="text-weight-bold text-caption q-mx-xs text-white">
          x
        </span>
          <span class="text-white">
          Viure
        </span>
        </q-card-section>
      <div class="q-px-lg q-pb-md">

        <div class="heartBeat" v-wow data-wow-delay="0.2s" data-wow-duration="2s">
          <q-card-section class="subtitle-modal text-weight-light">
            {{ $t('home.keepPosted.subtitle') }}
          </q-card-section>

        </div>

        <q-card-section class="text-justify">
          <p class="text-body2">
            {{ $t('home.keepPosted.text') }}
          </p>

          <div class="row justify-center">
            <NewsletterForm />
          </div>
        </q-card-section>
      </div>
    </q-card>
  </q-dialog>
</template>

<script>
  import DATA from '@/i18n/ca-es/homePage'
  import NewsletterForm from "components/NewsletterForm";

  export default {
    name: "NewslettersDialog",
    components: {
      NewsletterForm
    },
    computed: {
      keepPosted() {
        return DATA.keepPosted
      }
    },
    methods: {
      show() {
        this.$refs.dialog.show()
      },

      // following method is REQUIRED
      // (don't change its name --> "hide")
      hide() {
        this.$refs.dialog.hide()
      },

      onDialogHide() {
        // required to be emitted
        // when QDialog emits "hide" event
        this.$emit('hide')
      },

      onOKClick() {
        // on OK, it is REQUIRED to
        // emit "ok" event (with optional payload)
        // before hiding the QDialog
        this.$emit('ok')
        // or with payload: this.$emit('ok', { ... })

        // then hiding dialog
        this.hide()
      },

      onCancelClick() {
        // we just need to hide dialog
        this.hide()
      }
    },
  }
</script>

<style scoped lang="stylus">
  .title-modal
    border-bottom 1px solid grey
    font-size 1.6em
    background-color rgba(133, 100, 4, 0.75)

  .subtitle-modal
    font-size 1.3em
    font-family 'Verdana'
    color $brown
    text-align center
    margin 25px 0 10px 0
</style>
